# Class NextNetwork

## NextNetwork 网络管理器

#### Hierarchy

- NextNetwork

- Defined in src/nextNetwork.ts:24

#####
Index

### Constructors

constructor

### Properties

enablePingTest?
fetchAdapter
taskQueue

### Methods

createPreConditionTask
delete
get
patch
post
put
request
search

## Constructors

### constructor

- new NextNetwork(config?: NextNetworkConfig): NextNetwork

- #### Parameters

  - ##### `Optional` config: NextNetworkConfig

  #### Returns NextNetwork

  - Defined in src/nextNetwork.ts:30

## Properties

### `Optional` `Readonly` enablePingTest

enablePingTest?: boolean = true

- Defined in src/nextNetwork.ts:28

### `Readonly` fetchAdapter

fetchAdapter: FetchAdapter

- Defined in src/nextNetwork.ts:26

### `Readonly` taskQueue

taskQueue: TaskQueue

- Defined in src/nextNetwork.ts:25

## Methods

### createPreConditionTask

- createPreConditionTask(__namedParameters: { asyncFunction: (() => Promise<any>) }): Promise<any>

- #### Parameters

  - ##### __namedParameters: { asyncFunction: (() => Promise<any>) }

    - ##### asyncFunction: (() => Promise<any>)

      - - (): Promise<any>

        - #### Returns Promise<any>

  - Defined in src/nextNetwork.ts:59

### delete

- delete(url: string, params?: null | Object | BodyInit, enableCancelRepeatRequest?: boolean): Promise<{ request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }>

- #### Parameters

  - ##### url: string

  - ##### `Optional` params: null | Object | BodyInit

  - ##### `Optional` enableCancelRepeatRequest: boolean

  #### Returns Promise<{ request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }>

  - Defined in src/nextNetwork.ts:87

### get

- get(url: string, params?: null | Object | BodyInit, enableCancelRepeatRequest?: boolean): Promise<{ request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }>

- #### Parameters

  - ##### url: string

  - ##### `Optional` params: null | Object | BodyInit

  - ##### `Optional` enableCancelRepeatRequest: boolean

  #### Returns Promise<{ request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }>

  - Defined in src/nextNetwork.ts:69

### patch

- patch(url: string, params?: null | Object | BodyInit, enableCancelRepeatRequest?: boolean): Promise<{ request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }>

- #### Parameters

  - ##### url: string

  - ##### `Optional` params: null | Object | BodyInit

  - ##### `Optional` enableCancelRepeatRequest: boolean

  #### Returns Promise<{ request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }>

  - Defined in src/nextNetwork.ts:99

### post

- post(url: string, params?: null | Object | BodyInit, enableCancelRepeatRequest?: boolean): Promise<{ request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }>

- #### Parameters

  - ##### url: string

  - ##### `Optional` params: null | Object | BodyInit

  - ##### `Optional` enableCancelRepeatRequest: boolean

  #### Returns Promise<{ request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }>

  - Defined in src/nextNetwork.ts:75

### put

- put(url: string, params?: null | Object | BodyInit, enableCancelRepeatRequest?: boolean): Promise<{ request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }>

- #### Parameters

  - ##### url: string

  - ##### `Optional` params: null | Object | BodyInit

  - ##### `Optional` enableCancelRepeatRequest: boolean

  #### Returns Promise<{ request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }>

  - Defined in src/nextNetwork.ts:81

### request

- request(fetchAdapterRequestConfig: FetchAdapterRequestConfig): Promise<{ request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }>

- #### Parameters

  - ##### fetchAdapterRequestConfig: FetchAdapterRequestConfig

  #### Returns Promise<{ request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }>

  - Defined in src/nextNetwork.ts:63

### search

- search(url: string, params?: null | Object | BodyInit, enableCancelRepeatRequest?: boolean): Promise<{ request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }>

- #### Parameters

  - ##### url: string

  - ##### `Optional` params: null | Object | BodyInit

  - ##### `Optional` enableCancelRepeatRequest: boolean

  #### Returns Promise<{ request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }>

  - Defined in src/nextNetwork.ts:93

Generated using TypeDoc